=== debian/control ===
Source: ceph
Section: admin
Priority: optional
Homepage: http://ceph.com/
Vcs-Git: git://github.com/ceph/ceph.git
Vcs-Browser: https://github.com/ceph/ceph
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Uploaders: Sage Weil <sage@newdream.net>
Build-Depends: autoconf,
               automake,
               autotools-dev,
	       libbz2-dev,
               debhelper (>= 6.0.7~),
               default-jdk,
               git,
               javahelper,
               junit4,
               libaio-dev,
               libatomic-ops-dev,
               libbabeltrace-ctf-dev,
               libbabeltrace-dev,
               libblkid-dev (>= 2.17),
               libboost-dev (>= 1.42),
               libboost-program-options-dev (>= 1.42),
               libboost-system-dev (>= 1.42),
               libboost-thread-dev (>= 1.42),
               libcurl4-gnutls-dev,
               libedit-dev,
               libexpat1-dev,
               libfcgi-dev,
               libfuse-dev,
               libgoogle-perftools-dev [i386 amd64 arm64],
               libkeyutils-dev,
               libleveldb-dev,
               libnss3-dev,
               libsnappy-dev,
               liblttng-ust-dev,
               libtool,
               libudev-dev,
               libxml2-dev,
	       lsb-release,
               pkg-config,
               python (>= 2.6.6-3~),
               python-argparse,
               python-nose,
               python-virtualenv,
               uuid-dev,
               uuid-runtime,
               xfslibs-dev,
               xmlstarlet,
               yasm [amd64]
Standards-Version: 3.9.3

Package: ceph
Architecture: linux-any
Depends: binutils,
         ceph-common (>= 0.78-500),
         cryptsetup-bin | cryptsetup,
         gdisk,
         parted,
         python,
         python-argparse,
         sdparm | hdparm,
         uuid-runtime,
         xfsprogs,
	 python-flask,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: btrfs-tools, ceph-mds, librados2, libradosstriper1, librbd1
Replaces: ceph-common (<< 0.78-500), python-ceph (<< 0.85-979)
Breaks: python-ceph (<< 0.85-979)
X-Python-Version: >= 2.6
Description: distributed storage and file system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains all server daemons and management tools for creating,
 running, and administering a Ceph storage cluster, with the exception of the
 metadata server, which is necessary for using the distributed file system and is
 provided by the ceph-mds package.

Package: ceph-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ceph
 Ceph is a distributed storage system designed to provide excellent
 performance, reliability, and scalability.
 .
 This package contains the debugging symbols for ceph.

Package: ceph-mds
Architecture: linux-any
Depends: ceph, ${misc:Depends}, ${shlibs:Depends}
Recommends: ceph-fs-common, ceph-fuse, libcephfs1
Replaces: ceph (<< 0.58-1)
Breaks: ceph (<< 0.58-1)
Description: metadata server for the ceph distributed file system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the metadata server daemon, which is used to
 create a distributed file system on top of the ceph storage cluster.

Package: ceph-mds-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph-mds (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ceph-mds
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the debugging symbols for ceph-mds.

Package: ceph-fuse
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: fuse
Description: FUSE-based client for the Ceph distributed file system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a
 FUSE-based client that allows one to mount a Ceph file system without
 root privileges.
 .
 Because the FUSE-based client has certain inherent performance
 limitations, it is recommended that the native Linux kernel client
 be used if possible.  If it is not practical to load a kernel module
 (insufficient privileges, older kernel, etc.), then the FUSE client will
 do.

Package: ceph-fuse-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph-fuse (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ceph-fuse
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a
 FUSE-based client that allows one to mount a Ceph file system without
 root privileges.
 .
 This package contains the debugging symbols for ceph-fuse.

Package: rbd-fuse
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: fuse
Description: FUSE-based rbd client for the Ceph distributed file system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a
 FUSE-based client that allows one to map Ceph rbd images as files.
 .
 FUSE base client that allows one to map Ceph rbd images as files.

Package: rbd-fuse-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: rbd-fuse (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for rbd-fuse
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a
 FUSE-based client that allows one to map Ceph rbd images as files.
 .
 This package contains the debugging symbols for rbd-fuse.

Package: ceph-common
Architecture: linux-any
Depends: librbd1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
         python-ceph (= ${binary:Version}), python-requests
Conflicts: ceph-client-tools
Replaces: ceph-client-tools, ceph (<< 0.78-500)
Breaks: ceph (<< 0.78-500)
Suggests: ceph, ceph-mds
Description: common utilities to mount and interact with a ceph storage cluster
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a collection
 of common tools that allow one to interact with and administer a Ceph cluster.

Package: ceph-common-dbg
Architecture: linux-any
Depends: ceph-common (= ${binary:Version}), ${misc:Depends}
Conflicts: ceph-client-tools-dbg
Replaces: ceph-client-tools-dbg
Section: debug
Priority: extra
Description: debugging symbols for ceph-common
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a collection
 of common tools that allow one to interact with and administer a Ceph cluster.
 .
 This package contains the debugging symbols for ceph-common.

Package: ceph-fs-common
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: ceph-client-tools
Suggests: ceph-mds
Description: common utilities to mount and interact with a ceph file system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a collection
 of common tools, including the mount utility, that allows one to mount the
 Ceph file system with the kernel client.

Package: ceph-fs-common-dbg
Architecture: linux-any
Depends: ceph-fs-common (= ${binary:Version}), ${misc:Depends}
Conflicts: ceph-client-tools-dbg
Replaces: ceph-client-tools-dbg
Section: debug
Priority: extra
Description: debugging symbols for ceph-fs-common
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a collection
 of common tools, including the mount utility, that allows one to mount the
 Ceph file system with the kernel client.
 .
 This package contains the debugging symbols for ceph-fs-common.

Package: ceph-resource-agents
Architecture: linux-any
Recommends: pacemaker
Priority: extra
Depends: ceph (= ${binary:Version}), resource-agents, ${misc:Depends}
Description: OCF-compliant resource agents for Ceph
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the resource agents (RAs) which integrate
 Ceph with OCF-compliant cluster resource managers,
 such as Pacemaker.

Package: librados2
Conflicts: librados, librados1
Replaces: librados, librados1
Architecture: linux-any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: RADOS distributed object store client library
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.

Package: librados2-dbg
Conflicts: librados1-dbg
Replaces: librados1-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: librados2 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for librados
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.
 .
 This package contains debugging symbols for librados.

Package: librados-dev
Architecture: linux-any
Section: libdevel
Depends: librados2 (= ${binary:Version}), ${misc:Depends}
Conflicts: librados1-dev, librados2-dev
Replaces: librados1-dev, librados2-dev
Description: RADOS distributed object store client library (development files)
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.
 .
 This package contains development files needed for building applications that
 link against librados.

Package: libradosstriper1
Architecture: linux-any
Section: libs
Depends: librados2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: RADOS striping interface
 Striping interface built on top of the rados library, allowing
 to stripe bigger objects onto several standard rados objects using
 an interface very similar to the rados one.

Package: libradosstriper1-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: libradosstriper1 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for libradosstriper
 libradosstriper is a striping interface built on top of the rados
 library, allowing to stripe bigger objects onto several standard
 rados objects using an interface very similar to the rados one.
 .
 This package contains debugging symbols for libradosstriper.

Package: libradosstriper-dev
Architecture: linux-any
Section: libdevel
Depends: libradosstriper1 (= ${binary:Version}), ${misc:Depends}
Description: RADOS striping interface (development files)
 libradosstriper is a striping interface built on top of the rados
 library, allowing to stripe bigger objects onto several standard
 rados objects using an interface very similar to the rados one.
 .
 This package contains development files needed for building applications that
 link against libradosstriper.

Package: librbd1
