## ceph 0.94.3

=== debian/changelog ===
ceph (0.94.3-1) experimental; urgency=medium

  * [580fef] Imported Upstream version 0.94.3 (Closes:  #777814, #795178)
  * [536935] Add upstream patch to fix CVE-2015-5245 (Closes: #798567)

 -- Gaudenz Steinlin <gaudenz@debian.org>  Fri, 18 Sep 2015 16:55:23 +0200

ceph (0.94.2-2) experimental; urgency=medium

  * Revert "Drop virtualenv BD, disable unit tests."
  * Restore patches for test enablement.
  * Display test-suite log output in the event of failures.

 -- James Page <james.page@ubuntu.com>  Mon, 20 Jul 2015 13:37:06 +0100

ceph (0.94.2-1) experimental; urgency=medium

  * Resync with Ubuntu, introducing Ceph Hammer stable release:
    - d/*.symbols: Update inline with upstream additions, use regex
      for ceph version symbol.
    - d/lib-systemd/system/ceph-create-keys.service: Automatically create
      admin and bootstrap keys after ceph mon startup.
    - d/p/vivid-does-systemd.patch: Ensure that disks prepared on vivid
      or later use systemd for init.
    - d/lib-systemd/system/*.service: Align nofile limits and restart config
      with equivalent upstart configurations.
    - d/p/fix-cycles-arch.patch: Skip initialization of cycles_per_sec
      if rtdsc (or equivalent) is not supported.
    - d/ceph{-common}.install,control: Move ceph_argparse.py down into
      ceph-common package to fixup ceph cli usage/autopkgtest failure.
    - d/control,ceph-common.install,librbd1.install: Move rbdnamer and
      associated udev rules into ceph-common package.
    - d/control,python-*: Split out rbd, rados and cephfs bindings into
      separate python packages, move some bits into ceph/ceph-common.
    - d/control: Move python-flask dependency to ceph package, only required
      for REST API.
    - d/control: Use google-perftools on arm64.
    - d/control: Re-order Recommends to prefer ntp over chrony for Ubuntu.
    - d/p/ceph-osd-prestart-path.patch: Fixup path for ceph-osd upstart
      configuration pre-start script.
    - d/p/fix-argparse-defaults.patch: Workaround behavioural change in
      argparse set_defaults in python 2.7.9
  * New upstream point release:
    - d/p/*: Refresh.
  * d/p/use_system_jerasure.patch,d/control: Drop use of libjerasure
    as the patch is intrusive and expensive to maintain; will revisit if
    adopted upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 16 Jun 2015 11:31:05 +0100

ceph (0.87-2) experimental; urgency=low

  * Team upload.

  [ Gaudenz Steinlin ]
  * README.Debian: added clarification about setting the hashpspool flag.
    (Closes: #769596).

  [ James Page ]
  * Added new "modules.patch" to mark new erasure coding libraries as
    modules, wildcard install.

  [ Dmitry Smirnov ]
  * Recommends: added "ntp" to list of time-daemon alternatives
    (Closes: #767511).
  * Introduced native systemd services (except "rbdmap"), (Closes: #769593).
  * ceph-test: install forgotten files.
  * Run post-build tests:
    + updated "virtualenv-never-download.patch" to pass
      "--system-site-packages" to virtualenv to prevent downloads.
    + added new patches to disable network-dependent and failing tests.
  * Patchworks:
    - bug-9341.patch
    + bug-10036.patch (to show OSD affinity in "ceph osd tree").
      Thanks, Mykola Golub.
    + bug-10059.patch
    + 0latest-giant.patch (Last-Update: 2014-11-15).
    + sleep-recover.patch
    + tests-disable.patch (to disable tests that need cluster).
    + tests-disable-ceph-disk.patch
    + use_system_gtest.patch (commented)
      as first attempt to build with system "libgtest-dev".
    + use_system_jerasure.patch
  * Build-Depends:
    + libjerasure-dev (>= 2.0.0-2~)
    + virtualenv
    + valgrind [amd64 armhf i386 powerpc]
  * rules: pass "--without-lttng" to explicitly disable "lttng" to avoid
    auto-enable if found.
  * rules: disabled bundled RocksDB:
    RocksDB suppose to improve performance of keyvaluestore OSDs but the
    latter slow down to nearly unusable state when filled over 1 TiB even with
    RocksDB. Moreover KV backend is experimental and super dangerous -- I lost
    cluster due to OSD poisoning caused by KV OSD which was plugged only
    during limited time. LevelDB is good enough, for now I see no reason to
    use RocksDB especially considering that it is not packaged separately.
  * Removed myself from Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 01 Apr 2015 11:47:38 +1100

ceph (0.87-1) experimental; urgency=medium

  * New major upstream release [October 2014].
    + new "libradosstriper*" binary packages.
  * Patchworks (removed old patches, refreshed remaining ones).
    + "bug-9814.patch" to prevent OSD crash. Thanks, Haomai Wang.
  * Install systemd sleep handler.
  * Exclude erasure-code plugins from `dh_makeshlibs` processing to avoid
    useless calls to `ldconfig` in maintainer scripts.
  * Build-Depends:
    + libbabeltrace-dev
    + libbabeltrace-ctf-dev
    + libbz2-dev
    + libudev-dev
    + zlib1g-dev
  * Build with "--with-babeltrace".
  * Build and statically link bundled RocksDB.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 30 Oct 2014 12:43:49 +1100
