=== debian/control ===
Source: ceph
Section: admin
Priority: optional
Maintainer: Ceph Maintainers <ceph-maintainers@lists.ceph.com>
Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>,
           James Page <jamespage@debian.org>
Homepage: http://ceph.com/
Vcs-Git: git://anonscm.debian.org/pkg-ceph/ceph.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ceph/ceph.git
Build-Depends: debhelper (>= 9~),
               default-jdk,
               dh-autoreconf,
               dh-python,
               dh-systemd (>= 1.5),
               dpkg-dev (>= 1.16.1~),
               javahelper,
               junit4,
               libaio-dev,
               libatomic-ops-dev,
               libbabeltrace-ctf-dev,
               libbabeltrace-dev,
               libblkid-dev,
               libboost-dev,
               libboost-program-options-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libbz2-dev,
               libcurl4-gnutls-dev,
               libedit-dev,
               libexpat1-dev,
               libfcgi-dev,
               libfuse-dev,
               libgoogle-perftools-dev [i386 amd64 powerpc armhf arm64 ppc64el],
               libkeyutils-dev,
               libleveldb-dev,
               libnss3-dev,
               libs3-dev,
               libsnappy-dev,
               libtool,
               libudev-dev,
               libxml2-dev,
               pkg-config,
               python-all (>= 2.6.6-3~),
               python-nose,
               uuid-dev,
               uuid-runtime,
               valgrind [amd64 armhf i386 powerpc],
               virtualenv,
               xfslibs-dev,
               yasm [amd64],
               zlib1g-dev
Build-Conflicts: libcrypto++-dev
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
XS-Testsuite: autopkgtest

Package: ceph
Architecture: linux-any
Depends: binutils,
         ceph-common (= ${binary:Version}),
         cryptsetup-bin | cryptsetup,
         gdisk,
         hdparm | sdparm,
         parted,
         python-flask,
         uuid-runtime,
         xfsprogs,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: python-ceph (<< 0.94.1-1~)
Conflicts: gceph, librgw-dev, librgw1, librgw1-dbg, obsync
Replaces: gceph,
          librgw-dev,
          librgw1,
          librgw1-dbg,
          obsync,
          python-ceph (<< 0.94.1-1~)
Recommends: libcephfs1, librados2, librbd1, ntp | time-daemon | chrony
Suggests: logrotate
Description: distributed storage and file system
 Ceph is a distributed storage system designed to provide excellent
 performance, reliability, and scalability.
 .
 This package contains all server daemons and management tools for creating,
 running, and administering a Ceph storage cluster, with the exception of the
 metadata server, which is necessary for using the distributed file system
 and is provided by the ceph-mds package.

Package: ceph-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph (= ${binary:Version}), ${misc:Depends}
Conflicts: gceph-dbg
Replaces: gceph-dbg
Description: debugging symbols for ceph
 Ceph is a distributed storage system designed to provide excellent
 performance, reliability, and scalability.
 .
 This package contains the debugging symbols for ceph.

Package: ceph-common
Architecture: linux-any
Depends: librbd1 (= ${binary:Version}),
         python-cephfs (= ${binary:Version}),
         python-rados (= ${binary:Version}),
         python-rbd (= ${binary:Version}),
         python-requests,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Conflicts: ceph-client-tools
Breaks: ceph (<< 0.93-0ubuntu3~),
        librbd1 (<< 0.94.1-1~),
        python-ceph (<< 0.94.1-1~)
Replaces: ceph (<< 0.93-0ubuntu3~),
          ceph-client-tools,
          librbd1 (<< 0.94.1-1~),
          python-ceph (<< 0.94.1-1~)
Suggests: ceph, ceph-mds
Description: common utilities to mount and interact with a ceph storage cluster
 Ceph is a distributed storage and file system designed to provide
 excellent performance, reliability, and scalability.  This is a collection
 of common tools that allow one to interact with and administer a Ceph cluster.

Package: ceph-common-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph-common (= ${binary:Version}), ${misc:Depends}
Conflicts: ceph-client-tools-dbg
Replaces: ceph-client-tools-dbg
Description: debugging symbols for ceph-common
 Ceph is a distributed storage and file system designed to provide
 excellent performance, reliability, and scalability.  This is a collection
 of common tools that allow one to interact with and administer a Ceph cluster.
 .
 This package contains the debugging symbols for ceph-common.

Package: ceph-mds
Architecture: linux-any
Depends: ceph, ${misc:Depends}, ${shlibs:Depends}
Recommends: ceph-fs-common, ceph-fuse, libcephfs1
Breaks: ceph (<< 0.67.3-1)
Replaces: ceph (<< 0.67.3-1)
Description: metadata server for the ceph distributed file system
 Ceph is a distributed storage and network file system designed to
 provide excellent performance, reliability, and scalability.
 .
 This package contains the metadata server daemon, which is used to
 create a distributed file system on top of the ceph storage cluster.

Package: ceph-mds-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph-mds (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ceph-mds
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains the debugging symbols for ceph-mds.

Package: ceph-fuse
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: fuse
Description: FUSE-based client for the Ceph distributed file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows one to mount a Ceph file system without
 root privileges.
 .
 Because the FUSE-based client has certain inherent performance
 limitations, it is recommended that the native Linux kernel client
 be used if possible.  If it is not practical to load a kernel module
 (insufficient privileges, older kernel, etc.), then the FUSE client will
 do.

Package: ceph-fuse-dbg
Architecture: amd64
Section: debug
Priority: extra
Depends: ceph-fuse (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ceph-fuse
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows one to mount a Ceph file system without
 root privileges.
 .
 This package contains the debugging symbols for ceph-fuse.

Package: rbd-fuse
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: fuse
Description: FUSE-based rbd client for the Ceph distributed file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows one to map Ceph rbd images as files.

Package: rbd-fuse-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: rbd-fuse (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for rbd-fuse
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows one to map Ceph rbd images as files.
 .
 This package contains the debugging symbols for rbd-fuse.

Package: ceph-fs-common
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ceph-common (<< 0.67.3-1)
Conflicts: ceph-client-tools
Replaces: ceph-client-tools, ceph-common (<< 0.67.3-1)
Suggests: ceph-mds
Description: common utilities to mount and interact with a ceph file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a collection
 of common tools, including the mount utility, that allows one to mount the
 Ceph file system with the kernel client.

Package: ceph-fs-common-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph-fs-common (= ${binary:Version}), ${misc:Depends}
Conflicts: ceph-client-tools-dbg
Replaces: ceph-client-tools-dbg
Description: debugging symbols for ceph-fs-common
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a collection
 of common tools, including the mount utility, that allows one to mount the
 Ceph file system with the kernel client.
 .
 This package contains the debugging symbols for ceph-fs-common.

Package: ceph-resource-agents
Architecture: all
Priority: extra
Recommends: pacemaker
Depends: ceph (>= ${binary:Version}), resource-agents, ${misc:Depends}
Description: OCF-compliant resource agents for Ceph
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains the resource agents (RAs) which integrate
 Ceph with OCF-compliant cluster resource managers,
 such as Pacemaker.

Package: librados2
Architecture: linux-any
Section: libs
Conflicts: libcrush, libcrush1, librados, librados1
Replaces: libcrush, libcrush1, librados, librados1
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: RADOS distributed object store client library
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.

Package: librados2-dbg
Architecture: linux-any
Section: debug
Priority: extra
Conflicts: libcrush1-dbg, librados1-dbg
Replaces: libcrush1-dbg, librados1-dbg
Depends: librados2 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for librados2
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.
 .
 This package contains debugging symbols for librados2.

Package: librados-dev
Architecture: linux-any
Section: libdevel
Depends: librados2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Conflicts: libcrush-dev, libcrush1-dev, librados1-dev, librados2-dev
Replaces: libcrush-dev, libcrush1-dev, librados1-dev, librados2-dev
Description: RADOS distributed object store client library (development files)
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.
 .
 This package contains development files needed for building applications that
 link against librados2.

Package: libradosstriper1
Architecture: linux-any
Section: libs
Depends: librados2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: RADOS striping interface
 Striping interface built on top of the rados library, allowing
 to stripe bigger objects onto several standard rados objects using
 an interface very similar to the rados one.

Package: libradosstriper1-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: libradosstriper1 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for libradosstriper
 libradosstriper is a striping interface built on top of the rados
 library, allowing to stripe bigger objects onto several standard
 rados objects using an interface very similar to the rados one.
 .
 This package contains debugging symbols for libradosstriper.

Package: libradosstriper-dev
Architecture: linux-any
Section: libdevel
